Entur Developer
Personalisation Client Integration

Information and management of orders that are or should be processed by a program.


Deferred registration

POST
https://api.entur.io/personalisation
/v1/programs/{programId}/deferred-registration

Replays the events for a given order ID and order line ID to manually register potential points for a given customer ID. Returns 422 Unprocessable Entity if no points could be given to the customer. Returns 200 OK with details about the points given if successful.

Deferred registration › path Parameters

programId
​integer · int64 · required · style: simple

Deferred registration › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Deferred registration › Request Body

Request deferred registration for a customer ID and order ID
customerId
​string · required

The customer ID for which to register the order

orderId
​string · required

The order ID for which to register

orderLineId
​string · required

The order line ID for which to register

Deferred registration › Responses

OK

Points given to a customer as a result of deferred registration
​PointsGiven[] · required

List of points given per point definition


Get all transactions for orderId

GET
https://api.entur.io/personalisation
/v1/transactions

Get all transactions created by an order ID in all available programs.

Get all transactions for orderId › query Parameters

orderId
​string · required · style: form · explode: true

Get all transactions for orderId › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Get all transactions for orderId › Responses

OK

A transaction
id
​integer · int64 · required

Generated identifier

Example: 1
programId
​integer · int64 · required

The id of the program this transaction belongs to

memberId
​integer · int64 · required

The ID of the member in the program this transaction belongs to

amount
​number · required

The number of points of the definition this transaction gives

pointDefinitionId
​integer · int64 · required

The id of the point definition this transaction gives points of

createdAt
​string · date-time · required

The date and time when the transaction was created

validFrom
​string · date-time · required

The date and time the transaction is valid from.

pointDefinitionReference
​string | null

The reference of the point definition this transaction gives points of

pointPeriodId
​integer | null · int64

The id of the point period this transaction belongs to, if applicable

updatedAt
​string | null · date-time

The date and time when the transaction was last updated

expireAt
​string | null · date-time

The date and time when the transaction expires. If null, the transaction never expires.

cancelledAt
​string | null · date-time

The date and time when the transaction was cancelled. If not null, the transaction is valid until this time.

​object | null

Metadata for the transaction


Did you find what you were looking for?